%global commit 8352e30d79364f0145cb583a88ed3fe328771c63
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           varnish-agent
Version:        4.0.0
Release:        0.4.RC2%{?dist}
Summary:        Administration agent for Varnish Cache
Group:          System Environment/Daemons

License:        BSD
URL:            https://github.com/varnish/vagent2
Source0:        https://github.com/varnish/vagent2/archive/%{commit}/vagent2-%{version}-%{shortcommit}.tar.gz
Source1:        varnish-agent.service
Source2:        agent.params

Patch0:         vagent.disable_test.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libcurl-devel
BuildRequires:  libmicrohttpd-devel
BuildRequires:  libtool
BuildRequires:  perl-libwww-perl
BuildRequires:  python-demjson
BuildRequires:  python-docutils
BuildRequires:  systemd
BuildRequires:  varnish
BuildRequires:  varnish-libs-devel

Requires:       varnish

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd


%description
Varnish Agent software that runs on all caches managed by Varnish
Administration Console (VAC).


%prep
%autosetup -n vagent2-%{commit} -p1

# varnish-agent expects to be built from the git repository
sed -i s/NOGIT/%{version}/ include/Makefile.am


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
%make_install

install -m 755 -d %{buildroot}%{_sharedstatedir}/%{name}
install -m 755 -d %{buildroot}%{_unitdir}
install -m 755 -d %{buildroot}%{_sysconfdir}/varnish

install -pm 644 -t %{buildroot}%{_unitdir} %{SOURCE1}
install -pm 644 -t %{buildroot}%{_sysconfdir}/varnish %{SOURCE2}


%check
make check


%files
%doc LICENSE THANKS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_unitdir}/%{name}.service
%{_sharedstatedir}/%{name}
%config(noreplace) %{_sysconfdir}/varnish/agent.params


%post
%systemd_post varnish-agent.service


%preun
%systemd_preun varnish-agent.service


%postun
%systemd_postun_with_restart varnish-agent.service


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.4.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.3.RC2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun 03 2014 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 4.0.0-0.2.RC2
- Bumped version to 4.0.0-RC2

* Mon Apr 28 2014 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 4.0.0-0.1
- Bumped version to experimental 4.0.0
- Switched to a commit tarball from github
- Removed the upstreamed patches

* Sun Dec 08 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-5
- Removed the %%optflags on the %%configure command line

* Sat Dec 07 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-4
- Added a patch to make the test suites work offline
- Added a patch to disable the ban test suite
- Removed the default -S option from the service

* Fri Nov 01 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-3
- Added a patch for subdir-objects in automake
- Moved CFLAGS to the configure command line

* Sun Oct 27 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-2
- Requires: varnish
- BuildRequires: varnish python-demjson
- Added a patch for root privileges on the secret file
- Added a patch for the deprecated AM_CONFIG_HEADER macro
- Added a check section
- sed -i s/NOGIT/%%{version}/ include/Makefile.am
- mv vagent.params agent.params

* Sun Sep 15 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-1
- Initial spec.
